curl --request GET \
--url https://api.together.xyz/v1/deployments/storage/volumes/{id} \
--header 'Authorization: Bearer <token>'{
"content": {
"files": [
{
"last_modified": "<string>",
"name": "<string>",
"size": 123
}
],
"source_prefix": "models/",
"type": "files"
},
"created_at": "<string>",
"current_version": 123,
"id": "<string>",
"mounted_by": [
"<string>"
],
"name": "<string>",
"object": "<string>",
"type": "readOnly",
"updated_at": "<string>",
"version_history": {}
}Retrieve details of a specific volume by its ID or name
curl --request GET \
--url https://api.together.xyz/v1/deployments/storage/volumes/{id} \
--header 'Authorization: Bearer <token>'{
"content": {
"files": [
{
"last_modified": "<string>",
"name": "<string>",
"size": 123
}
],
"source_prefix": "models/",
"type": "files"
},
"created_at": "<string>",
"current_version": 123,
"id": "<string>",
"mounted_by": [
"<string>"
],
"name": "<string>",
"object": "<string>",
"type": "readOnly",
"updated_at": "<string>",
"version_history": {}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Volume ID or name
Volume details
Show child attributes
CreatedAt is the ISO8601 timestamp when this volume was created
CurrentVersion is the current version number of this volume
ID is the unique identifier for this volume
MountedBy is the list of deployment IDs currently mounting current volume version
Name is the name of the volume
Object is the type identifier for this response (always "volume")
readOnly UpdatedAt is the ISO8601 timestamp when this volume was last updated
VersionHistory contains previous versions of this volume, keyed by version number
Show child attributes
Was this page helpful?